## proftpd-dfsg 1.3.5e

=== debian/changelog ===
proftpd-dfsg (1.3.5e-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:27:47 +0000

proftpd-dfsg (1.3.5e-1) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Disable stripping in install stage, leave that job to dh tools.
    Thanks to Helmut Grohne <helmut@subdivi.de> for report and patch.
    (Closes: #884558)
  * Call "dh_strip -a" before "dh_gencontrol -a" to generate dbgsym
    packages.
  * postinst script:
    - update update-rc.d command: don't specify runlevel
    - don't set DONTSTART and don't check for its value
      (probably relics from debconf times)

  [ Francesco Paolo Lovergine ]
  * New upstream version. Patchset updated.
  * At postinst change permissions of some *.conf files
    (closes: #638955)
  * Removed autotools_dev b-d, now obsoleted by current debhelper.
  * Removed explicit path for update-inetd in postinst and postrm to make
    lintian happy
  * Policy bumped to 4.1.3.
        - Recommends proftpd-doc as for 4.0.0.
        - Do not invoke /etc/init.d script even as fallback as for 4.0.0 
  * Removed obsolete code to manage migration from version 1.2.9 in preinst.
  * Fixed target in recent NEWS file issue to make lintian happy.
  * Fixed various spelling errors with new patch.
  * Now correctly including dpkg buildflags makefile snippets.
  * Current autotools patch augmented with adding of the std build-flags for
    hardening. That obsoletes contri_hardening_flags patch.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 10 Jan 2018 09:44:28 +0100
