## proftpd-dfsg 1.3.5e+r1.3.5

=== debian/changelog ===
proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u7) jessie-security; urgency=high

  * CVE-2020-9273: Backport patch from upstream as a regression from the patch
    released as part of 1.3.5e+r1.3.5-2+deb8u6. (Closes: #952557).

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Mar 2020 10:20:43 -0800

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u6) jessie-security; urgency=high

  * CVE-2020-9273: Fix a use-after-free vulnerability in the handling of memory
    pools. Successful exploitation of this vulnerability could allow a remote
    attacker to execute arbitrary code on the affected system.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Feb 2020 11:43:19 -0800

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Backported fix for crash with empty CRL in mod_tls. (CVE-2019-19269)

 -- Adrian Bunk <bunk@debian.org>  Sat, 30 Nov 2019 19:17:40 +0200

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * CVE-2019-18217
    remote unauthenticated denial-of-service due to incorrect
    handling of overly long commands

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Oct 2019 10:03:02 +0200

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-12815:
    Tobias Maedel discovered that the mod_copy module of ProFTPD, a
    FTP/SFTP/FTPS server, performed incomplete permission validation for the
    CPFR/CPTO commands.

 -- Markus Koschany <apo@debian.org>  Wed, 07 Aug 2019 17:07:51 +0200

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix undefined symbol: pr_gid2str in mod_sftp module. (Closes:#929020)

 -- Markus Koschany <apo@debian.org>  Tue, 21 May 2019 15:31:45 +0200

proftpd-dfsg (1.3.5e+r1.3.5-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Revert to upstream version 1.3.5 and backport the fixes for all memory
    leaks separately. This will fix two regressions present in newer upstream
    versions like 1.3.5e or 1.3.6. (Closes: #926719)

 -- Markus Koschany <apo@debian.org>  Wed, 01 May 2019 15:39:43 +0200

proftpd-dfsg (1.3.5e-0+deb8u1) jessie-security; urgency=high

  * New upstream version 1.3.5e.
    This upstream release fixes several memory leaks when mod_facl or mod_sftp
    is used which could lead to memory exhaustion and a denial-of-service.
    (Closes: #923926).
  * Rebase odbc patch for new release.
  * Remove CVE security patches. They were applied by upstream.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Apr 2019 21:30:59 +0200

proftpd-dfsg (1.3.5-1.1+deb8u2) jessie-proposed-updates; urgency=high

  * Fix CVE-2017-7418: AllowChrootSymlinks off does not check entire 
    DefaultRoot path for symlinks. Fix proftpd#4295. Closes: #859592
  * Fix CVE-2016-3125: TLSDHParamFile directive appears ignored because 
    unexpected DH is chosen.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 05 Apr 2017 16:20:32 +0200

proftpd-dfsg (1.3.5-1.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix CVE-2015-3306: unauthenticated copying of files via SITE CPFR/CPTO
    allowed by mod_copy (Closes: #782781)

 -- Sebastien Delafond <seb@debian.org>  Tue, 19 May 2015 12:53:10 +0200

proftpd-dfsg (1.3.5-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * proftpd-dev: Depend on libtool-bin. Closes: #761795.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Oct 2014 10:25:36 +0200
