=== debian/control ===
--- 
+++ 
@@ -1,55 +1,56 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
+Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 9.20160114),
+Standards-Version: 3.9.4
+Build-Depends: autotools-dev,
+               debhelper (>= 7),
                libacl1-dev,
                libattr1-dev,
                libcap-dev [linux-any],
                libldap2-dev,
-               default-libmysqlclient-dev,
+               libmysqlclient-dev,
                libncurses5-dev,
                libpam-dev,
                libpcre3-dev,
                libpq-dev,
                libsqlite3-dev,
-               libssl-dev,
+               libssl-dev (>= 0.9.8l),
                libwrap0-dev,
                unixodbc-dev,
                zlib1g-dev,
                libgeoip-dev,
-               libmemcached-dev (>= 0.41)
+               libmemcached-dev (>= 0.41),
+               hardening-includes
 Homepage: http://www.proftpd.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
+Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
+Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git
 
 Package: proftpd-basic
 Architecture: any
 Depends: adduser,
+         debconf (>= 0.5.00),
          debianutils (>= 1.21.0),
          libpam-runtime (>= 0.76-13.1),
          netbase (>= 4.13),
          sed (>= 4.1.5),
          ucf (>= 0.30),
-         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.5e
+Provides: ftp-server, proftpd, proftpd-abi-1.3.5
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
+          proftpd-doc,
           proftpd-mod-ldap,
           proftpd-mod-mysql,
           proftpd-mod-odbc,
           proftpd-mod-pgsql,
           proftpd-mod-sqlite,
           proftpd-mod-geoip
-Recommends: proftpd-doc
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
