## proftpd-dfsg 1.3.5e+r1.3.5b

=== debian/changelog ===
proftpd-dfsg (1.3.5e+r1.3.5b-4+deb9u2) stretch-security; urgency=high

  * The memory pool was incorrectly destroyed in function sftp_kex_handle in
    contrib/mod_sftp/kex.c which may cause a segmentation fault and thus prevent
    sftp connections. Also do not overwrite the SSH2 packet pointer when handling
    NEWKEYS in the same function and make sure to use the specific kex pool when
    it is passed to the get_shared_name function. (Closes: #968967)

 -- Markus Koschany <apo@debian.org>  Tue, 25 Aug 2020 18:07:56 +0200

proftpd-dfsg (1.3.5e+r1.3.5b-4+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix several memory leaks in proftpd-dfsg when mod_facl or mod_sftp is used
    which could lead to memory exhaustion and a denial-of-service.
    (Closes: #923926)

 -- Markus Koschany <apo@debian.org>  Sat, 22 Aug 2020 18:12:11 +0200

proftpd-dfsg (1.3.5b-4+deb9u5) stretch; urgency=medium

  * Add patch from upstream to solve bug4385. (Closes: #949622).
  * Disable call to /usr/share/debconf/confmodule. Causes hangs during
    postinst and it is unsure why we have it at all.
    (Closes: #870624)

 -- Hilmar Preusse <hille42@web.de>  Thu, 12 Mar 2020 15:52:02 +0100
