=== debian/control ===
--- 
+++ 
@@ -3,45 +3,44 @@
 Priority: optional
 Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Build-Depends: autotools-dev,
-               debhelper (>= 7),
+               debhelper (>= 9),
                libacl1-dev,
                libattr1-dev,
                libcap-dev [linux-any],
                libldap2-dev,
-               libmysqlclient-dev,
+               default-libmysqlclient-dev,
                libncurses5-dev,
                libpam-dev,
                libpcre3-dev,
                libpq-dev,
                libsqlite3-dev,
-               libssl-dev (>= 0.9.8l),
+               libssl1.0-dev,
                libwrap0-dev,
                unixodbc-dev,
                zlib1g-dev,
                libgeoip-dev,
-               libmemcached-dev (>= 0.41),
-               hardening-includes
+               libmemcached-dev (>= 0.41)
 Homepage: http://www.proftpd.org/
-Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
-Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
 
 Package: proftpd-basic
 Architecture: any
 Depends: adduser,
-         debconf (>= 0.5.00),
          debianutils (>= 1.21.0),
          libpam-runtime (>= 0.76-13.1),
          netbase (>= 4.13),
          sed (>= 4.1.5),
          ucf (>= 0.30),
+         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.5
+Provides: ftp-server, proftpd, proftpd-abi-1.3.5b
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-doc,
@@ -70,7 +69,7 @@
 Architecture: any
 Depends: libacl1-dev,
          libpcre3-dev,
-         libssl-dev,
+         libssl1.0-dev,
          libtool,
          libtool-bin,
          proftpd-basic (=${binary:Version}),
