## proftpd-dfsg 1.3.6

=== debian/changelog ===
proftpd-dfsg (1.3.6-1) unstable; urgency=medium

  [ Hilmar Preuße ]
  * New upstream release (Closes: #879113)
    - Has support for One time passwords (Closes: #94162)
    - Improved documentation of MaxInstances (Closes: #336001)
    - Fixes another crash bug mit mod_ssl (Closes: #839880)
    - Restores file permissions of /etc/proftpd/passwd
      (Closes: #796233)
    - Has support for systemd (see: #740177)

  * (New) modules enabled
    - Redis: mod_redis, mod_tls_redis, mod_wrap2_redis.
    - mod_memcache: link failure, fixed now. This hopefully
      (Closes: #714108).
    - mod_auth_otp.
    All modules included in proftpd-basic.

  * Patches refreshed, some are applied upstream now:
    - xferstats.holger-preiss
    - silent # obsolete, message severity is now "debug"
    - use_hypen_in_manpage
    - FTBS_on_Hurd
    - not_read_whole_passwd_db

  * New patches:
    - upstream_4335 (upstream #4335) to build mod_auth_otp.so
    - upstream_4336 (upstream #4336) mod_redis & mod_memache fail to link
    - upstream_4312 (upstream #4312) Close any "extra" open fds at startup.
      (see #870624)

  * Include geoip sample config into proftp-basic (Closes: #872452).
  * Add B-D on libhiredis-dev to build Redis support.
  * Build mod_readme as module instead of built in (enabled by default).

  * init.d-script-should-always-start-service:
    Remove RUN="yes" statement from /etc/default/proftpd, set to RUN="yes" in
    init-Skript.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 15 Jan 2018 21:14:17 +0100
