=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9.20160114),
                libacl1-dev,
                libattr1-dev,
                libcap-dev [linux-any],
@@ -16,12 +15,13 @@
                libpcre3-dev,
                libpq-dev,
                libsqlite3-dev,
-               libssl1.0-dev,
+               libssl-dev,
                libwrap0-dev,
                unixodbc-dev,
                zlib1g-dev,
                libgeoip-dev,
-               libmemcached-dev (>= 0.41)
+               libmemcached-dev (>= 0.41),
+               libhiredis-dev
 Homepage: http://www.proftpd.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-proftpd/proftpd-dfsg.git
@@ -40,16 +40,16 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.5b
+Provides: ftp-server, proftpd, proftpd-abi-1.3.6
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
-          proftpd-doc,
           proftpd-mod-ldap,
           proftpd-mod-mysql,
           proftpd-mod-odbc,
           proftpd-mod-pgsql,
           proftpd-mod-sqlite,
           proftpd-mod-geoip
+Recommends: proftpd-doc
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -69,7 +69,7 @@
 Architecture: any
 Depends: libacl1-dev,
          libpcre3-dev,
-         libssl1.0-dev,
+         libssl-dev,
          libtool,
          libtool-bin,
          proftpd-basic (=${binary:Version}),
