=== debian/watch ===
version=3
ftp://ftp.proftpd.org/distrib/source/proftpd-([\d\.]+)\.tar\.gz
